#
# spec file for package bdftopcf
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bdftopcf
Version:        1.0.5
Release:        3.6
Summary:        Font compiler for the X server and font server
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(xfont)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
bdftopcf is a font compiler for the X server and font server. Fonts
in Portable Compiled Format can be read by any architecture, although
the file is structured to allow one particular architecture to read
them directly without reformatting. This allows fast reading on the
appropriate machine, but the files are still portable (but read more
slowly) on other machines.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/bdftopcf
%{_mandir}/man1/bdftopcf.1%{?ext_man}

%changelog
* Sat Jan  3 2015 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.0.5:
  This minor maintenance release fixes a couple of issues with the
  usage messages printed for incorrect options, and updates the
  configure scripts to the latest X.Org standards.
* Sat Jan 19 2013 zaitor@opensuse.org
- Update to version 1.0.4:
  + Use remove() instead of unlink() to remove files.
  + Use symbolic names instead of raw integers for stdin & stdout
    fd's.
  + Add -v flag to print version info.
  + Combine usage message strings.
  + Initialize font to 0 values directly instead of via bzero.
  + Adopt X.Org standard coding style (via x-indent.sh).
  + man: remove trailing spaces and tabs.
  + config:
  - Move man pages into their own directory.
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
  - Use AC_PROG_INSTALL now supplied by XORG_DEFAULT_OPTIONS.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split bdftopcf from xorg-x11. Initial version: 1.0.3.
